%define po_package gnome-menus
%define enable_debugging 0

%define		PYVER		2.6
%define		__python	python%{PYVER}
%define		PVER		%(echo %{PYVER} | awk -F. '{print$1$2}')
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Distribution:	CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Name:		gnome-menus
Version:	2.28.0
Release:	2
BuildArch:	i686
Summary:	A menu system for the GNOME project
License:	GNU/LGPL
URL:		http://www.gnome.org/
Group:		Graphical Desktop/GNOME/Base
Source0:	%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-buildroot

#Automatically resolved build dependencies
BuildRequires: glibc-devel
BuildRequires: glib-devel
BuildRequires: python26-devel

%description
gnome-menus is an implementation of the draft "Desktop
Menu Specification" from freedesktop.org. This package
also contains the GNOME menu layout configuration files, 
.directory files and assorted menu related utility programs,
Python bindings, and a simple menu editor.

%package	devel
Summary:	Libraries and include files for the GNOME menu system
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	glib-devel
Requires:	python26-devel
Requires:	gamin-devel
Requires:	pkg-config

%description	devel
This package provides the necessary development libraries for 
writing applications that use the GNOME menu system.

%post
ldconfig

%postun
ldconfig

%prep
%setup -q

%build
FLAGS=`echo "$RPM_OPT_FLAGS" | sed 's/-Os/-O1/'`
export CFLAGS="$FLAGS"
export CXXFLAGS="$FLAGS -fno-use-cxa-atexit"
%configure PYTHON=/usr/bin/python%{PYVER} \
%if %{enable_debugging}
   --enable-debug=yes
%else
   --enable-debug=no
%endif

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_libdir}/python*/site-packages/*.la
rm -f $RPM_BUILD_ROOT%{_libdir}/python*/site-packages/*.a

#rm -rf $RPM_BUILD_ROOT%{_sysconfdir}/xdg/menus
#rm -rf $RPM_BUILD_ROOT%{_datadir}/desktop-directories/Desktop.directory

# We use alacarte now
rm -rf $RPM_BUILD_ROOT%{_bindir}/gmenu-simple-editor
rm -rf $RPM_BUILD_ROOT%{_datadir}/applications/gmenu-simple-editor.desktop
rm -rf $RPM_BUILD_ROOT%{_datadir}/gnome-menus/glade/gmenu-simple-editor.glade
rm -rf $RPM_BUILD_ROOT%{_datadir}/gnome-menus/ui/gmenu-simple-editor.ui
rm -rf $RPM_BUILD_ROOT%{python_sitearch}/GMenuSimpleEditor/*

# No point in shipping this either
rm -rf $RPM_BUILD_ROOT%{_bindir}/gnome-menu-spec-test

%find_lang %{po_package}

%files -f %{po_package}.lang
%defattr(-,root,root,-)
%doc AUTHORS NEWS COPYING.LIB
%exclude %{_sysconfdir}/xdg/menus/applications.menu
#/etc/gnome/xdg/menus/preferences.menu
%{_sysconfdir}/xdg/menus/settings.menu
%_libdir/libgnome-menu.so.*
%{python_sitearch}/gmenu.so
%{_datadir}/desktop-directories/AudioVideo.directory
%{_datadir}/desktop-directories/Development.directory
%{_datadir}/desktop-directories/Education.directory
%{_datadir}/desktop-directories/Game.directory
%{_datadir}/desktop-directories/Graphics.directory
%{_datadir}/desktop-directories/Hardware.directory
%{_datadir}/desktop-directories/InternetAndNetwork.directory
%{_datadir}/desktop-directories/LookAndFeel.directory
%{_datadir}/desktop-directories/Network.directory
%{_datadir}/desktop-directories/Office.directory
%{_datadir}/desktop-directories/Personal.directory
%{_datadir}/desktop-directories/Settings-System.directory
%{_datadir}/desktop-directories/Settings.directory
%{_datadir}/desktop-directories/System-Tools.directory
%{_datadir}/desktop-directories/System.directory
%{_datadir}/desktop-directories/Utility-Accessibility.directory
%{_datadir}/desktop-directories/Utility.directory
%{_datadir}/desktop-directories/X-GNOME-Menu-Applications.directory
%{_datadir}/desktop-directories/X-GNOME-Menu-System.directory
%{_datadir}/desktop-directories/X-GNOME-Other.directory

%files devel
%defattr(-,root,root)
%{_libdir}/libgnome-menu.so
%{_libdir}/libgnome-menu.la
%{_libdir}/libgnome-menu.a
%{_pkgconfig}/libgnome-menu.pc
%{_includedir}/gnome-menus/gmenu-tree.h
%{_datadir}/%{name}/examples

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Mon Nov 23 2009 Karsten Brockmann <arcam@ccux-linux.de> 2.28.0-2
- omitted /etc/xdg/menus/applications.menu conflicting with kdelibs
- edited files list 
* Sun Nov 22 2009 Christian Metzen <metzench@ccux-linux.de> 2.28.0-1
- Version update
* Tue Apr 14 2009 Christian Metzen <metzench@ccux-linux.de> 2.26.1-1
- Version update
* Sun Mar 29 2009 Christian Wasem <wasem@ccux-linux.de> 2.26.0-1
- Version update
* Sat Jan 10 2009 Christian Metzen <metzench@ccux-linux.de> 2.24.2-1
- Version update
* Tue Apr 08 2008 Christian Metzen <metzench@ccux-linux.de> 2.22.1-1
- Version update
* Wed Mar 12 2008 Christian Metzen <metzench@ccux-linux.de> 2.22.0-1
- Version update
* Wed Jan 09 2008 Christian Metzen <metzench@ccux-linux.de> 2.20.3-1
- Version update
* Wed Nov 28 2007 Christian Metzen <metzench@ccux-linux.de> 2.20.2-1
- Version update
* Tue Oct 16 2007 Christian Metzen <metzench@ccux-linux.de> 2.20.1-1
- Version update
* Fri Sep 28 2007 Christian Metzen <metzench@ccux-linux.de> 2.20.0-1
- Version update
* Wed Mar 28 2007 Christian Metzen <metzench@ccux-linux.de> 2.18.0-4
- added opt flags
* Sun Mar 25 2007 Christian Metzen <metzench@ccux-linux.de> 2.18.0-3
- debug disable
* Sat Mar 24 2007 Christian Metzen <metzench@ccux-linux.de> 2.18.0-2
- debug enable
* Tue Mar 19 2007 Christian Metzen <metzench@ccux-linux.de> 2.18.0-1
- Version update
* Mon Dec 11 2006 Christian Metzen <metzench@ccux-linux.de> 2.17.2-1
- Version update
* Fri Nov 10 2006 Christian Metzen <metzench@ccux-linux.de> 2.16.1-4
- clean buildchain
* Wed Nov 08 2006 Christian Metzen <metzench@ccux-linux.de> 2.16.1-3
- readded missing files
* Tue Nov 07 2006 Christian Metzen <metzench@ccux-linux.de> 2.16.1-2
- rebuild, moved libexec
* Sun Nov 05 2006 Christian Metzen <metzench@ccux-linux.de> 2.16.1-1
- Version update, moved prefix
* Tue Feb 28 2006 Christian Wasem <wasem@ccux-linux.de> 2.13.5-1
- Initial Release
